Eclipse Platform Release 3.7

## org.eclipse.ui.forms.events
Class ExpansionAdapter

    java.lang.Object
      org.eclipse.ui.forms.events.ExpansionAdapter

All Implemented Interfaces:
  IExpansionListener

    public class ExpansionAdapter

extends Object
implements IExpansionListener

This adapter class provides default implementations for the methods described by the `ExpansionListener` interface.

Classes that wish to deal with `ExpansionEvent`s can extend this class and override only the methods which they are interested in.

Since:
  3.0
See Also:
  `IExpansionListener`, `ExpansionEvent`

Constructor Summary
`ExpansionAdapter()`

Method Summary
`void` `expansionStateChanged(ExpansionEvent e)` Sent when the link is exited.
`void` `expansionStateChanging(ExpansionEvent e)` Sent when the link is entered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpansionAdapter

    public ExpansionAdapter()

Method Detail

### expansionStateChanging

    public void expansionStateChanging(ExpansionEvent e)

  Sent when the link is entered. The default behaviour is to do nothing.

  Specified by:
    `expansionStateChanging` in interface `IExpansionListener`
  Parameters:
    `e` - the event

### expansionStateChanged

    public void expansionStateChanged(ExpansionEvent e)

  Sent when the link is exited. The default behaviour is to do nothing.

  Specified by:
    `expansionStateChanged` in interface `IExpansionListener`
  Parameters:
    `e` - the event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.